Subject: Ticket Assigned - My delivery schedule was at 5:30 till 8:15 my order not arrived I will not mention any thing else =0A=0A...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 19 Sep 2022 08:24:56 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My delivery schedule was at 5:30 till 8:15 my order not arrived I will not mention any thing else 

... My delivery schedule was at 5:30 till 8:15 my order not arrived I will not mention any thing else 

I wrote this during waiting for homebox and this what I received [06/09, 8:14 pm] : I'm very sorry sir so you reschedule tomorrow
[06/09, 8:15 pm: Today I am too much late sir I am very sorry https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4837737